# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name logict

%global common_summary A backtracking logic-programming monad

%global common_description A continuation-based, backtracking, logic programming monad.\
An adaptation of the two-continuation implementation found\
in the paper "Backtracking, Interleaving, and Terminating\
Monad Transformers": <http://okmij.org/ftp/papers/LogicT.pdf>.

Name:           ghc-%{pkg_name}
Version:        0.6
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Mon Mar 18 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.6-1
- new upstream version 0.6

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.2-2
- update with cabal-rpm

* Mon Sep 10 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.2-1
- Updated to 0.5.0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.1-2
- Updated summary and description.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.1-1
- Spec file template generated by cabal2spec-0.25.5
